## cloog 0.18.4

=== examples/polyhedral_compiler/Makefile ===
# Please enter here the locations for the CLooG, OpenScop and Clan
# include and library if they aren't the default values
# (i.e., /usr/lib and /usr/include).
CLOOG_INC = $(HOME)/usr/include
CLOOG_LIB = $(HOME)/usr/lib

OPENSCOP_INC = $(HOME)/usr/include
OPENSCOP_LIB = $(HOME)/usr/lib

CLAN_INC = $(HOME)/usr/include
CLAN_LIB = $(HOME)/usr/lib

CC = gcc
LDLIBS= -lcloog-isl -losl -lclan
CFLAGS= -DCLOOG_INT_GMP \
        -I $(CLOOG_INC)    -L $(CLOOG_LIB) \
        -I $(OPENSCOP_INC) -L $(OPENSCOP_LIB) \
        -I $(CLAN_INC)     -L $(CLAN_LIB)

example: poc.c 
	@echo "             /*-----------------------------------------------*"
	@echo "              *        Making Polyhedral Compiler Example     *"
	@echo "              *-----------------------------------------------*/"
	$(CC) poc.c -o poc $(CFLAGS) $(LDLIBS)

clean:
	@echo "             /*-----------------------------------------------*"
	@echo "              *     Cleaning Polyhedral Compiler Example      *"
	@echo "              *-----------------------------------------------*/"
	-rm -f poc poc.exe core

## cloog 0.18.2

=== debian/changelog ===
cloog (0.18.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Feb 2014 14:21:11 +0100

cloog (0.18.1-3) unstable; urgency=low

  * Update libtool.m4.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2013 12:57:00 +0100

cloog (0.18.1-2) unstable; urgency=low

  * Don't run help2man for cross builds.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Nov 2013 07:05:55 +0100

cloog (0.18.1-1) unstable; urgency=low

  * New upstream version.
  * Add a comment to build-depend on libpod-latex-perl | perl (<< 5.17.0),
    when the documentation is built. Closes: #711681.
  * Use dh_autotools-dev to update config.{sub,guess}. Closes: #719957.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Oct 2013 15:54:24 +0200

cloog (0.18.0-2) unstable; urgency=low

  * Install the pkgconfig file. Closes: #703734.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Apr 2013 10:26:37 +0200

cloog (0.18.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Jan 2013 04:29:53 +0100

cloog (0.17.0-3) unstable; urgency=medium

  * Configure --with-bits=gmp.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Jul 2012 20:06:07 +0200

cloog (0.17.0-2) unstable; urgency=low

  * Build-depend on isl 0.10.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Jun 2012 18:40:07 +0200

cloog (0.17.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Dec 2011 18:39:17 +0100

cloog (0.16.3-1) experimental; urgency=low

  * New upstream version.
  * Build against libisl.
  * License changed to LGPL2.1+, add isl license.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Aug 2011 12:38:26 +0200

cloog-ppl (0.15.9-3) unstable; urgency=low

  * Build against PPL 0.11.
  * Move to libgmp-dev instead of libgmp3-dev.

 -- Michael Tautschnig <mt@debian.org>  Tue, 08 Mar 2011 16:01:52 +0100

cloog-ppl (0.15.9-2) unstable; urgency=medium

  * Set the soname to `libcloog-debian.0'. The currently used name is
    used for the next (incompatible) upstream version.  Still provide
    the old name until the gcc-4.4, gcj-4.4 and gnat-4.4 packages are
    rebuilt.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Aug 2010 03:53:08 +0200

cloog-ppl (0.15.9-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Apr 2010 18:21:15 +0200

cloog-ppl (0.15.8-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Feb 2010 16:10:04 +0100

cloog-ppl (0.15.7-1) unstable; urgency=low

  * New upstream version. Closes: #541842.
  * Add watch file.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Aug 2009 16:16:19 +0200

cloog-ppl (0.15-2) unstable; urgency=low

  * Add info dir entry. Closes: #528879.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Aug 2009 11:17:55 +0200

cloog-ppl (0.15-1) unstable; urgency=low

  * cloog-ppl 0.15 release.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Dec 2008 15:35:51 +0100

cloog-ppl (0.15~git20081008-2) unstable; urgency=low

  * (Build)-depend on libppl0.10-dev instead of libppl-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Nov 2008 06:49:12 +0200

cloog-ppl (0.15~git20081008-1) unstable; urgency=low

  * Update to 0.15 git 20081008.
  * Tighten build dependency on ppl.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Oct 2008 08:30:20 +0200

cloog-ppl (0.15~git20080903-3) unstable; urgency=low

  * Build using ppl (>= 0.10~pre27).
  * Merge from Ubuntu:
    - Rename ppl_version_* functions to cloog_version_*.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Sep 2008 08:38:13 +0200

cloog-ppl (0.15~git20080915-2) unstable; urgency=low

  * Build-depend on texinfo. Closes: #499741.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Sep 2008 18:07:08 +0200

cloog-ppl (0.15~git20080915-1) unstable; urgency=low

  * Update to 0.15 git 20080915.
    - Rename ppl_version_* functions to cloog_version_*.
    - Remove test/reports from the source tarball.
  * Build using ppl (>= 0.10~pre27).
  * debian/copyright: Update.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Sep 2008 21:53:39 +0200

cloog-ppl (0.15~git20080903-2) experimental; urgency=low

  * debian/copyright: Add GFDL.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2008 20:08:31 +0200

cloog-ppl (0.15~git20080903-1) experimental; urgency=low

  * Initial release (build dependency of gcc-snapshot / GCC-4.4).
  * Change the soname to libcloog-ppl, to be able to allow parallel
    installation with cloog configured with polylib.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2008 16:38:37 +0200

=== debian/control ===
Source: cloog
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Michael Tautschnig <mt@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev,
  libisl-dev (>= 0.12.2), libgmp-dev,
  texinfo, help2man
# Build-Depends-Indep: libpod-latex-perl | perl (<< 5.17.0) # not needed, no docs built
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.CLooG.org

Package: libcloog-isl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libisl-dev (>= 0.11), libgmp-dev, libcloog-isl4 (= ${binary:Version}),
  dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcloog-ppl-dev
Description: Chunky Loop Generator (development files)
 CLooG is a software which generates loops for scanning Z-polyhedra. That is,
 CLooG finds the code or pseudo-code where each integral point of one or more
 parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
 designed to avoid control overhead and to produce a very efficient code.
 .
 This package contains the development files and the cloog binary.

Package: libcloog-isl4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chunky Loop Generator (runtime library)
 CLooG is a software which generates loops for scanning Z-polyhedra.
 .
 This package contains the runtime library.

Package: cloog-isl
Section: libs
Architecture: any
Depends: libcloog-isl4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: cloog-ppl (<< 0.15.11-4), libcloog-ppl-dev (<< 0.15.11-1)
Description: Chunky Loop Generator (runtime library)
 CLooG is a software which generates loops for scanning Z-polyhedra.
 .
 This package contains the cloog-isl binary.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif
DEB_HOST_MULTIARCH   ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS	:= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS		:= $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS		:= $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	chmod +x configure
	./configure $(CROSS) \
		--prefix=/usr \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-isl=system \
		--with-bits=gmp \
		--disable-silent-rules \
		CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch $@

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-$(MAKE) check
endif
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f *-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f doc/*.info
	rm -f cloog-isl-uninstalled.sh *.pc *.pc.in doc/gitversion.texi version.h
	rm -f config.log config.status
	dh_autotools-dev_restoreconfig
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	rm -f debian/tmp/usr/share/info/dir*
	mv debian/tmp/usr/bin/cloog debian/tmp/usr/bin/cloog-isl
	mkdir -p debian/tmp/usr/share/man/man1
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	LD_PRELOAD=$${LD_PRELOAD:+$$LD_PRELOAD:}$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-isl.so.4 \
	PATH=$(CURDIR)/debian/tmp/usr/bin:$$PATH \
		help2man -n 'The Chunky Loop Generator' cloog-isl \
		> debian/cloog-isl.1
endif
	cp debian/cloog-isl.1 debian/tmp/usr/share/man/man1/cloog-isl.1
	dh_install --sourcedir=debian/tmp --list-missing


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installinfo
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cloog 0.18.3

=== debian/changelog ===
cloog (0.18.3-1) unstable; urgency=medium

  * New upstream version.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Apr 2015 15:07:57 +0200

cloog (0.18.2-3) experimental; urgency=medium

  * Build using isl-0.14.
  * Backport patches to build with the new isl (Tobias Burnus).

 -- Matthias Klose <doko@debian.org>  Thu, 04 Dec 2014 17:45:42 +0100

cloog (0.18.2-2) experimental; urgency=medium

  * Update symbols file.
  * Build using isl-0.13.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jun 2014 14:56:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Michael Tautschnig <mt@debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev,
-  libisl-dev (>= 0.12.2), libgmp-dev,
+  libisl-dev (>= 0.14), libgmp-dev,
   texinfo, help2man
 # Build-Depends-Indep: libpod-latex-perl | perl (<< 5.17.0) # not needed, no docs built
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.CLooG.org
 
@@ -14,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libisl-dev (>= 0.11), libgmp-dev, libcloog-isl4 (= ${binary:Version}),
+Depends: libisl-dev (>= 0.14), libgmp-dev, libcloog-isl4 (= ${binary:Version}),
   dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libcloog-ppl-dev
 Description: Chunky Loop Generator (development files)

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,8 @@
 		> debian/cloog-isl.1
 endif
 	cp debian/cloog-isl.1 debian/tmp/usr/share/man/man1/cloog-isl.1
+	sed -i -e 's/ -D_FORTIFY[^ ]*//' \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/cloog-isl.pc
 	dh_install --sourcedir=debian/tmp --list-missing

## cloog 0.18.4

=== debian/changelog ===
cloog (0.18.4-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Nov 2015 00:45:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Michael Tautschnig <mt@debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev,
-  libisl-dev (>= 0.14), libgmp-dev,
+  libisl-dev (>= 0.15), libgmp-dev,
   texinfo, help2man
 # Build-Depends-Indep: libpod-latex-perl | perl (<< 5.17.0) # not needed, no docs built
 Standards-Version: 3.9.6
@@ -29,7 +29,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Chunky Loop Generator (runtime library)
  CLooG is a software which generates loops for scanning Z-polyhedra.

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	rm -f debian/tmp/usr/share/info/dir*

=== debian/watch ===
version=3
http://www.bastoul.net/cloog/pages/download/cloog-([\d\.]*).tar.gz
